import sys
import os
import time

#check for ROOT_PATH variable
try:
  sys.path.append(os.environ['ROOT_PATH'])
except:
  print("Please set the variable ROOT_PATH.")
  sys.exit(0)

#REBOTNIX GPS SDK
from libs.rb_gps import rb_gps
#initialize gps
mygps = rb_gps()

while True:
    if mygps.flag:
        lon, lat, gps_acc, sat, speed, headAcc, headMot = mygps.getgps()
        print(lon, lat, gps_acc, sat, speed, headAcc, headMot)
        time.sleep(0.1)

mygps.stop()
